[arch-commits] Commit in sed/trunk (PKGBUILD sed.install)

Allan McRae allan at archlinux.org
Thu Apr 30 12:20:25 UTC 2009


    Date: Thursday, April 30, 2009 @ 08:20:25
  Author: allan
Revision: 37082

upgpkg: sed 4.2-1
    add acl dep and gettext makedep, install script for info pages

Added:
  sed/trunk/sed.install
Modified:
  sed/trunk/PKGBUILD

-------------+
 PKGBUILD    |   28 +++++++++++++++++-----------
 sed.install |   20 ++++++++++++++++++++
 2 files changed, 37 insertions(+), 11 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-30 08:47:00 UTC (rev 37081)
+++ PKGBUILD	2009-04-30 12:20:25 UTC (rev 37082)
@@ -1,21 +1,27 @@
 # $Id$
-# Maintainer: judd <jvinet at zeroflux.org>
+# Maintainer: Allan McRae <allan at archlinux.org>
+# Contributor: judd <jvinet at zeroflux.org>
+
 pkgname=sed
-pkgver=4.1.5
-pkgrel=3
+pkgver=4.2
+pkgrel=1
 pkgdesc="GNU stream editor"
-arch=(i686 x86_64)
+arch=('i686' 'x86_64')
 url="http://www.gnu.org/software/sed"
-license=('GPL')
+license=('GPL3')
 groups=('base')
-depends=('glibc')
+depends=('acl')
+makedepends=('gettext')
+install=sed.install
 source=(ftp://ftp.gnu.org/pub/gnu/sed/$pkgname-$pkgver.tar.gz)
-md5sums=('7a1cbbbb3341287308e140bd4834c3ba')
+md5sums=('31580bee0c109c0fc8f31c4cf204757e')
 
 build() {
-  cd $startdir/src/$pkgname-$pkgver
-  ./configure --without-included-regex --prefix=
+  cd $srcdir/$pkgname-$pkgver
+  ./configure --prefix=/usr --bindir=/bin --without-included-regex
   make || return 1
-  make prefix=$startdir/pkg/usr install
-  mv $startdir/pkg/usr/bin $startdir/pkg/
+  make DESTDIR=$pkgdir install
+  
+  rm $pkgdir/usr/share/info/dir
+  gzip -9 $pkgdir/usr/share/info/*
 }

Added: sed.install
===================================================================
--- sed.install	                        (rev 0)
+++ sed.install	2009-04-30 12:20:25 UTC (rev 37082)
@@ -0,0 +1,20 @@
+infodir=/usr/share/info
+filelist=(sed.info)
+
+post_install() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}
+
+post_upgrade() {
+  post_install $1
+}
+
+pre_remove() {
+  [ -x usr/bin/install-info ] || return 0
+  for file in ${filelist[@]}; do
+    install-info --delete $infodir/$file.gz $infodir/dir 2> /dev/null
+  done
+}




More information about the arch-commits mailing list